package svcfw

import (
	"git.swzry.com/zry/GoHiedaLogger/hiedalog"
)

func (f *AppFramework) BLFatal(module string, d ...interface{}) {
	f.logger.LogPrint(module, hiedalog.DLN_FATAL, d...)
	f.Stop()
}

func (f *AppFramework) BLFatalF(module string, format string, d ...interface{}) {
	f.logger.LogPrintf(module, hiedalog.DLN_FATAL, format, d...)
	f.Stop()
}

func (f *AppFramework) BLFatalC(module string, data map[string]string) {
	f.logger.LogComplex(module, hiedalog.DLN_FATAL, data)
	f.Stop()
}

func (f *AppFramework) BLPanic(module string, d ...interface{}) {
	f.logger.LogPrint(module, hiedalog.DLN_PANIC, d...)
	panic("App Panic")
}

func (f *AppFramework) BLPanicF(module string, format string, d ...interface{}) {
	f.logger.LogPrintf(module, hiedalog.DLN_PANIC, format, d...)
	panic("App Panic")
}

func (f *AppFramework) BLPanicC(module string, data map[string]string) {
	f.logger.LogComplex(module, hiedalog.DLN_PANIC, data)
	panic("App Panic")
}

func (f *AppFramework) BLError(module string, d ...interface{}) {
	f.logger.LogPrint(module, hiedalog.DLN_ERROR, d...)
}

func (f *AppFramework) BLErrorF(module string, format string, d ...interface{}) {
	f.logger.LogPrintf(module, hiedalog.DLN_ERROR, format, d...)
}

func (f *AppFramework) BLErrorC(module string, data map[string]string) {
	f.logger.LogComplex(module, hiedalog.DLN_ERROR, data)
}

func (f *AppFramework) BLWarn(module string, d ...interface{}) {
	f.logger.LogPrint(module, hiedalog.DLN_WARN, d...)
}

func (f *AppFramework) BLWarnF(module string, format string, d ...interface{}) {
	f.logger.LogPrintf(module, hiedalog.DLN_WARN, format, d...)
}

func (f *AppFramework) BLWarnC(module string, data map[string]string) {
	f.logger.LogComplex(module, hiedalog.DLN_WARN, data)
}

func (f *AppFramework) BLInfo(module string, d ...interface{}) {
	f.logger.LogPrint(module, hiedalog.DLN_INFO, d...)
}

func (f *AppFramework) BLInfoF(module string, format string, d ...interface{}) {
	f.logger.LogPrintf(module, hiedalog.DLN_INFO, format, d...)
}

func (f *AppFramework) BLInfoC(module string, data map[string]string) {
	f.logger.LogComplex(module, hiedalog.DLN_INFO, data)
}

func (f *AppFramework) BLVerbose(module string, d ...interface{}) {
	f.logger.LogPrint(module, hiedalog.DLN_VERBOSE, d...)
}

func (f *AppFramework) BLVerboseF(module string, format string, d ...interface{}) {
	f.logger.LogPrintf(module, hiedalog.DLN_VERBOSE, format, d...)
}

func (f *AppFramework) BLVerboseC(module string, data map[string]string) {
	f.logger.LogComplex(module, hiedalog.DLN_VERBOSE, data)
}

func (f *AppFramework) BLDebug(module string, d ...interface{}) {
	f.logger.LogPrint(module, hiedalog.DLN_DEBUG, d...)
}

func (f *AppFramework) BLDebugF(module string, format string, d ...interface{}) {
	f.logger.LogPrintf(module, hiedalog.DLN_DEBUG, format, d...)
}

func (f *AppFramework) BLDebugC(module string, data map[string]string) {
	f.logger.LogComplex(module, hiedalog.DLN_DEBUG, data)
}
